BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

Specifies a set of security permissions applied to a instance.

This enumeration is used by .

is a bit-field; specify multiple values using the bitwise OR operator.

For information on security, see Partition II of the CLI Specification.

Many of these flags are powerful and should only be granted to highly trusted code.

- Field
  System.Security.Permissions.SecurityPermissionFlag AllFlags To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.SecurityPermissionFlag Assertion

  Specifies the ability to assert that all of the callers of the code granted this permission will pass the check for a specific permission or permission set.

  The ability to assert a specific permission or permission set allows code to ensure that its callers do not fail with a security exception for lack of the specific permission or permission set asserted.

  Asserting a permission is often used when writing library code that accesses protected resources but itself does not expose these resources in any exploitable way to the calling code.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.SecurityPermissionFlag BindingRedirects To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.SecurityPermissionFlag ControlAppDomain To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.SecurityPermissionFlag ControlDomainPolicy To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.SecurityPermissionFlag ControlEvidence To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.SecurityPermissionFlag ControlPolicy To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.SecurityPermissionFlag ControlPrincipal To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.SecurityPermissionFlag ControlThread

  Specifies the ability to control thread behavior. The operations protected include and .

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.SecurityPermissionFlag Execution

  Specifies permission for the code to run. Without this permission managed code cannot execute.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.SecurityPermissionFlag Infrastructure To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.SecurityPermissionFlag NoFlags

  Specifies that none of the permissions in this enumeration are available.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.SecurityPermissionFlag RemotingConfiguration To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.SecurityPermissionFlag SerializationFormatter To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.SecurityPermissionFlag SkipVerification

  Specifies the right to skip the verification checks that ensure type safety and metadata correctness in an assembly. If an assembly has been granted this permission it will not fail with a even if the assembly contains unverifiable constructs.

  Code that is unverifiable can execute without causing a if this permission is granted.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.SecurityPermissionFlag UnmanagedCode

  Specifies the ability to call unmanaged code.

  Because unmanaged code potentially allows other permissions to be bypassed, this permission should be used with caution. It is used for applications calling native code using PInvoke.

  To be added. 0 1.0.5000.0 2.0.0.0
0